cryptol-2.6.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe
Language | Haskell2010

Cryptol.TypeCheck.Solver.Types

# Documentation

type Ctxt = Map TVar Interval Source #

data Solved Source #

Constructors

SolvedIf [Prop] | Solved, assuming the sub-goals.
Unsolved | We could not solve the goal.
Unsolvable TCErrorMessage | The goal can never be solved.

Instances

Show Solved Source # |
Instance details Defined in Cryptol.TypeCheck.Solver.Types Methods showsPrec :: Int -> Solved -> ShowS Source # show :: Solved -> String Source # showList :: [Solved] -> ShowS Source #
PP Solved Source # |
Instance details Defined in Cryptol.TypeCheck.Solver.Types Methods ppPrec :: Int -> Solved -> Doc Source #

elseTry :: Solved -> Solved -> Solved Source #

solveOpts :: [Solved] -> Solved Source #

matchThen :: Maybe a -> (a -> Solved) -> Solved Source #

guarded :: Bool -> Solved -> Solved Source #